Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058033 - Designer fails to create a process with plus sign in the file name
Summary: Designer fails to create a process with plus sign in the file name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: 6.0.1
Assignee: Tihomir Surdilovic
QA Contact: Zuzana Krejčová
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 15:57 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1019268 None None None Never

Internal Links: 1019268

Description Zuzana Krejčová 2014-01-26 15:57:03 UTC
Description of problem:
Related to bug 1019268.
It is allowed to put a plus sign in the file name when creating a new process (the Create new dialog), but the Designer cannot handle it. It shows 'Process loading errors' dialog instead of the process, with message:
"""
Could not open requested business process due to processing errors.
Empty process was loaded instead.
Click on the Details tab below to view error details.
"""
After closing this dialog, no empty process is opened - the Designer fails to finish loading.

Server log states that:
ERROR [org.drools.core.xml.ExtensibleXmlParser] (null: 4, 120): cvc-datatype-valid.1.2.1: 'project1.asd+asd' is not a valid value for 'NCName'.
ERROR [org.drools.core.xml.ExtensibleXmlParser] (null: 4, 120): cvc-attribute.3: The value 'project1.asd+asd' of attribute 'id' on element 'bpmn2:process' is not valid with respect to its type, 'ID'.
ERROR [org.drools.core.xml.ExtensibleXmlParser] (null: 8, 56): cvc-datatype-valid.1.2.1: 'project1.asd+asd' is not a valid value for 'QName'.
ERROR [org.drools.core.xml.ExtensibleXmlParser] (null: 8, 56): cvc-attribute.3: The value 'project1.asd+asd' of attribute 'bpmnElement' on element 'bpmndi:BPMNPlane' is not valid with respect to its type, 'QName'.

ERROR [org.jbpm.designer.web.preprocessing.impl.JbpmPreprocessingUnit] Failed to setup workitems : null
ERROR [stderr] org.uberfire.java.nio.file.NoSuchFileException
ERROR [stderr] 	at org.uberfire.java.nio.fs.jgit.JGitFileSystemProvider.readAttributes(JGitFileSystemProvider.java:1508)
...

Reopening the process has the same effect.


Version-Release number of selected component (if applicable):
BPMS 6.0 CR2

Comment 1 Tihomir Surdilovic 2014-02-07 18:38:17 UTC
We thought about this issue and decided that the best decision would be to not allow process assets to be named that contain a plus sign. Reason for this is that we use the asset name as the defaulting process name and id attribute values. In the BPMN2 spec these are attributes of the process node so they cannot be wrapped in a cdata block..and they conform to the ID type (for the id of the process). If the bpmn2 spec at some point moves those to rather be actual nodes then we can have any possible value user could specify. The plus sign was added to the already existing list of characters UF does not allow for file names. Designer added an extra check for the plus sign specifically. Now if you try to create a process asset containing a plus sign you will get a message telling you that this file name is not valid.

fix in designer master and 6.0.x branches

Comment 2 Zuzana Krejčová 2014-02-20 10:33:31 UTC
Verified, processes' file names now cannot contain + sign.


Note You need to log in before you can comment on or make changes to this bug.